Skip to content

Get workspace subscription

GET
/v1/billing/subscription
curl --request GET \
--url 'https://shareout.site/v1/billing/subscription?workspace_id=example' \
--header 'Authorization: Bearer <token>'
workspace_id
required
string

Current subscription (or null)

Media type application/json
object
subscription
object
id
string
workspace_id
string
plan_id
string
status
string
Allowed values: trialing active past_due cancelled expired
seats
integer
pending_seats
integer
nullable
pending_plan_id
string
nullable
is_complimentary
boolean
trial_ends_at
string format: date-time
nullable
current_period_end
string format: date-time
nullable
plan
object
id
string
name
string
tier
string
Allowed values: pro teams
interval
string
Allowed values: monthly annual
price_cents
integer
min_seats
integer
Example
{
"subscription": {
"status": "trialing",
"plan": {
"tier": "pro",
"interval": "monthly"
}
}
}